This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Validator.pizza

Description

Validator.pizza prevents disposable emails from being used when people sign up or comment on your website.

It uses the API from the website https://www.validator.pizza, which is always up to date with the most recent domains.

It’s free to use and works out of the box.

Installation

Upload the Validator.pizza plugin to your blog, activate it and you’re done!

Reviews

November 26, 2020
My testing hasn't been exhaustive, but thus far, this plugin works perfectly! Looked up a few temp email generators, used them to try to register on my site and wasn't able to. Was curious about what would happen if I used an email service which isn't technically a disposable email site but is commonly used when people don't want to give out their real email and was pleased that the core domain still allowed people to register, but none of the alias addresses provided by that same service would work (which is exactly what I want). Great job!
September 4, 2020
Simple plugin connected to a free service that just works. No configuration, no API key, no nonsense. Thanks much!
December 18, 2017
This plugin works great! The service works well, nothing is 100% and won't block all temp emails but it gets updated frequently and new domains are added all the time. I would recommend this plugin for everyone who allows registration on their site.
Read all 4 reviews

Contributors & Developers

“Validator.pizza” is open source software. The following people have contributed to this plugin.

Contributors

Translate “Validator.pizza” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

1.1.1

  • Update WordPress compatibility

1.1.0

  • Cache domains

1.0.2

  • Update WordPress compatibility

1.0.1

  • Update WordPress compatibility

1.0

  • First version